Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.grails.databinding.errors
[Java] Interface BindingError

    public interface BindingError

Represents a problem which occurred during data binding.

Authors:
  Jeff Brown

Since:
  2.3

Method Summary
`java.lang.Throwable` | `getCause()` @return an exception thrown during the data binding process
`java.lang.Object` | `getObject()` @return the object that data binding was being imposed upon
`java.lang.String` | `getPropertyName()` @return the name of the property that the data binding error occurred on
`java.lang.Object` | `getRejectedValue()` @return The value which could not be bound to the property

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Returns:
    an exception thrown during the data binding process

### getObject

    public java.lang.Object getObject()

  Returns:
    the object that data binding was being imposed upon

### getPropertyName

    public java.lang.String getPropertyName()

  Returns:
    the name of the property that the data binding error occurred on

### getRejectedValue

    public java.lang.Object getRejectedValue()

  Returns:
    The value which could not be bound to the property

Groovy Documentation